Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface ExplicitHibernateTypeSource

All Known Implementing Classes:
  ExplicitHibernateTypeSourceImpl

    public interface ExplicitHibernateTypeSource

Source-agnostic descriptor for explicit user-supplied Hibernate type information

Method Summary
`String` | `getName()` Obtain the supplied Hibernate type name.
`Map<String,String>` | `getParameters()` Obtain any supplied Hibernate type parameters.

Method Detail

### getName

    String getName()

  Obtain the supplied Hibernate type name.

  Returns:
    The Hibernate type name

### getParameters

    Map<String,String> getParameters()

  Obtain any supplied Hibernate type parameters.

  Returns:
    The Hibernate type parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.